<?php
/**
 * The Sidebar containing the primary widget areas.
 *
 * @package WordPress
 * @subpackage Bluepress
 */
?>
<div id="sidebar" class="widget-area" role="complementary">
	<ul class="xoxo">
    	<?php
		/* When we call the dynamic_sidebar() function, it'll spit out
		 * the widgets for that widget area. If it instead returns false,
		 * then the sidebar simply doesn't exist, so we'll hard-code in
		 * some default sidebar stuff just in case.
		 */
		if ( ! dynamic_sidebar( 'primary-widget-area' ) ) : ?>
        <li id="search" class="widget-container widget_search">
			<?php get_search_form(); ?>
		</li>
            
        <li id="archives" class="widget-container">
            <h3 class="widget-title"><?php _e( 'Recent Posts', 'bluepress' ); ?></h3>
			<ul>
				<?php wp_get_archives( 'type=postbypost' ); ?>
			</ul>
		</li>

		<li id="meta" class="widget-container">
			<h3 class="widget-title"><?php _e( 'Categories', 'bluepress' ); ?></h3>
			<ul>
				<?php wp_list_categories( 'title_li=&exclude=1' ); ?>
			</ul>
		</li>
        
        <li id="archives" class="widget-container">
            <h3 class="widget-title"><?php _e( 'Archives', 'bluepress' ); ?></h3>
			<ul>
				<?php wp_get_archives( 'type=monthly' ); ?>
			</ul>
		</li>
        <?php endif; // end primary widget area ?>
    </ul>
</div><!-- #sidebar .widget-area -->